/**************************************************************************
 *
 *   getinfo.c  --  read specified info block
 */

#include "cbtree.h"

void getinfo(btinfop, fd, findroot)  /* return byte offset for btc.findroot */
BT_INFO *btinfop;
int      fd;        /* file to look in */
long      findroot;  /* byte offset to INFO block */
{
   extern long lseek();

   if (lseek(fd, findroot, 0) == -1L)    /* 1st INFO blk */
      ckerror(- CK_SEEK, "52");
   if (read(fd, (char *)btinfop, SZ_BT_INFO) == ERR)
      ckerror(- CK_READ, "53");
}
